<?php
/**
 * @package Hello_Dolly
 * @version 1.7.2
 */
/*
Plugin Name: BoldGrid Page Comments
Plugin URI:
Description: This plugin enables comment discussion on Pages for the BoldGrid Inspirations Version 1 Themes
Author: Jesse Owens
Version: 1.0.0
Author URI: https://www.boldgrid.com/
*/

if (! function_exists(bgtfw_enable_page_comments)){
function bgtfw_enable_page_comments( $content ) {
		ob_start();
		echo '<section id="comments" class="comments">';
		do_action( 'boldgrid_comments_before' );
		do_action( 'boldgrid_comments' );
		do_action( 'boldgrid_comments_after' );
		echo '</section>';
		$comments = ob_get_contents();
		ob_end_clean();
		if ( is_page ) {
			if ( comments_open() || get_comments_number() ) {
				$content .= $comments;
			}
		}
		return $content;
	}
}
add_filter( 'the_content', bgtfw_enable_page_comments );
